import React from 'react';
import PropTypes from 'prop-types';
import { BUILDER_HEADER_UTILITIES, BUILDER_HEADER_NAV_DROPDOWN, BUILDER_HEADER_NAV_LINK } from '../../utilities/constants';
var propTypes = {
  /**
   * Provide children of the types `<BuilderHeaderNavLink />` or `<BuilderHeaderNavDropdown />` to define the structure of the utilities section.
   * ```
   * <BuilderHeader>
   *   <BuilderHeaderUtilities>
   *     <BuilderHeaderNavLink />
   *     <BuilderHeaderNavDropdown />
   *   </BuilderHeaderUtilities>
   * </BuilderHeader>
   * ```
   */
  children: PropTypes.node
};
/**
 * The navigation section of the header.
 */

var BuilderHeaderUtilities = function BuilderHeaderUtilities(props) {
  return /*#__PURE__*/React.createElement("div", {
    className: "slds-builder-header__item slds-builder-header__utilities"
  }, React.Children.map(props.children, function (child) {
    if (child.type.displayName === BUILDER_HEADER_NAV_LINK || child.type.displayName === BUILDER_HEADER_NAV_DROPDOWN) {
      return /*#__PURE__*/React.createElement("div", {
        className: "slds-builder-header__utilities-item"
      }, child);
    }

    return null;
  }));
};

BuilderHeaderUtilities.displayName = BUILDER_HEADER_UTILITIES;
BuilderHeaderUtilities.propTypes = propTypes;
export default BuilderHeaderUtilities;
//# sourceMappingURL=utilities.js.map